#!/bin/tcsh

# dispatcher_daily.csh:
#
# Run daily Dispatcher for one day models generation and evaluation
#

source /home/csep/.tcshrc

set year=2017
# Don't pad integer values with zero's
set month=3
set day=31


# Capture all output produced by Dispatcher into the daily log file
set logdir=/data/csep/dispatcher/logs/"$year"_"$month"
mkdir -p "$logdir"

set logfile=$logdir/daily_"$year-$month-$day"


# Invoke Dispatcher for "today" (with 31 day delay for the testing date):
nohup python $CENTERCODE/src/generic/Dispatcher.py --year="$year" --month="$month" --day="$day" --configFile=/home/csep/NewZealandCode/configuration/crontab/dispatcher_daily.init.xml --waitingPeriod=31 --enableForecastXMLTemplate --enableForecastMap --numDeclusterSimulations=0 --numVariationsSimulations=0 --logFile="$logfile" >& "$logfile" &


