#!/bin/tcsh

# dispatcher_three_months.csh:
#
# Run daily Dispatcher for three months models generation and evaluation
#

source /home/csep/.tcshrc

set year=2010
# Don't pad integer values with zero's
set month=2
set day=1


# Capture all output produced by Dispatcher into the daily log file
set logdir=/data/csep/dispatcher/logs/"$year"_"$month"
mkdir -p "$logdir"

set logfile="$logdir"/three_months_"$year-$month-$day"


# Invoke Dispatcher for "today" (with 34 day delay for the testing date - to generate initial forecasts with start date of 12/01/2007):
nohup python $CENTERCODE/src/generic/Dispatcher.py --year="$year" --month="$month" --day="$day" --configFile=/home/csep/NewZealandCode/configuration/crontab/dispatcher_three_months.init.xml --waitingPeriod=31 --enableForecastXMLTemplate --enableForecastMap  --numDeclusterSimulations=0 --numVariationsSimulations=0 --logFile="$logfile" >& "$logfile" & 

